/**
 * Toolkit styles
 */

@import 'fonts';
@import 'settings';
@import '../../site-foundation/scss/foundation';
@include foundation-everything( $flex: true);
@import 'mixins/mixins';

 @include linear-gradients;

@import 'partials/info-block';
@import 'partials/hover-block';
@import 'partials/learning-block';
@import 'partials/toc';
@import 'partials/table';
@import 'partials/bubble';
@import 'partials/animations';
@import 'partials/button';
@import 'partials/elements';
@import 'partials/article';
@import 'partials/media-block';
@import 'partials/blockquote';
@import 'partials/panel';
@import 'partials/image-article';
@import 'partials/loading-spinner';
@import 'partials/collapsible';
@import 'partials/divider';
@import 'partials/video-preview';
@import 'partials/links-list';
@import 'partials/filter-list';
@import 'partials/label';
@import 'partials/status-label';
@import 'partials/icon-button';
@import 'partials/avatar-canvas';
@import 'partials/helpers';


code {
    display: block;
}

* {
    box-sizing: border-box;
    //border:10px solid red;
}

//align gird columns left and right to normal outlining without gird indent
.row-adjust {
    @include breakpoint(medium) {
        width: calc( 100% + (2 * 0.9375rem));
        max-width: calc( 100% + (2 * 0.9375rem));
        margin-left: -0.9375rem;
    }
}

.demo-svg {
    img {
        cursor: pointer;
        max-width: 32px;
    }
    h3 {
        @include breakpoint(medium down) {
            font-size: 12px;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
        }
    }
}

.svg-demo__item {
    height: 50px;
    line-height: 25px;
    
    img {
        max-width: 32px;
    }
}

.svg-icon-url {
    word-break: break-all;
    &:focus,
    &:selection {
        background: yellow;
    }
}

.prx-svg-icon-url::selection {
    background: rgba(0, 0, 0, 0.5);
}
.testprx{
    display: block;
    font-weight:bold;
}

// rewrite username to capitilized name
.nametarget{
    text-transform: capitalize;
}